<?php
namespace Modules\API\APIInterne\Document\Repository;

class ChargeDocumentExterne
{
    
    private \PDO $pdo;
    
    public function __construct(\PDO $pdo)
    {
        $this->pdo = $pdo;
    }

    /**
     * findFicLad
     * @param String $ficlad
     * @return Array<string>
     */
    public function findFicLad(String $ficlad) : ?array
    {
        $req ="select FIC_LAD from FAC_ENT with (nolock) where FIC_LAD = :ficlad";
         
        $arrayReq = [':ficlad' => $ficlad];
        
        $req = $this->pdo->prepare($req);
        $req->execute($arrayReq);
        
        return $req->fetch(\PDO::FETCH_ASSOC);
    }
}
